org.apache.lucene.search

## Class DocIdSet

- java.lang.Object
- - org.apache.lucene.search.DocIdSet

- Direct Known Subclasses:
    DocIdBitSet, FieldCacheTermsFilter.FieldCacheTermsFilterDocIdSet, FilteredDocIdSet, OpenBitSet, SortedVIntList

      public abstract class DocIdSet
      extends java.lang.Object

  A DocIdSet contains a set of doc ids. Implementing classes must only implement `iterator()` to provide access to the set.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocIdSet` | `EMPTY_DOCIDSET` An empty `DocIdSet` instance for easy use, e.g.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocIdSet()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCacheable()` This method is a hint for `CachingWrapperFilter`, if this `DocIdSet` should be cached without copying it into a BitSet.
    `abstract DocIdSetIterator` | `iterator()` Provides a `DocIdSetIterator` to access the set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_DOCIDSET

          public static final DocIdSet EMPTY_DOCIDSET

      An empty `DocIdSet` instance for easy use, e.g. in Filters that hit no documents.

  - ### Constructor Detail

    - #### DocIdSet

          public DocIdSet()

  - ### Method Detail

    - #### iterator

          public abstract DocIdSetIterator iterator()
                                             throws java.io.IOException

      Provides a `DocIdSetIterator` to access the set. This implementation can return `null` or `EMPTY_DOCIDSET.iterator()` if there are no docs that match.
      Throws:
        `java.io.IOException`

    - #### isCacheable

          public boolean isCacheable()

      This method is a hint for `CachingWrapperFilter`, if this `DocIdSet` should be cached without copying it into a BitSet. The default is to return `false`. If you have an own `DocIdSet` implementation that does its iteration very effective and fast without doing disk I/O, override this method and return `true</here>.`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.